### Enumeration

# GObject TypeFlags

#### Declaration

    flags GObject.TypeFlags

#### Description [src]

Bit masks used to check or determine characteristics of a type.

#### Members

Name | Description
--- | ---
`G_TYPE_FLAG_NONE` | No special flags. Since: 2.74
`G_TYPE_FLAG_ABSTRACT` | Indicates an abstract type. No instances can be created for an abstract type.
`G_TYPE_FLAG_VALUE_ABSTRACT` | Indicates an abstract value type, i.e. a type that introduces a value table, but can’t be used for `g_value_init()`
`G_TYPE_FLAG_FINAL` | Indicates a final type. A final type is a non-derivable leaf node in a deep derivable type hierarchy tree. Since: 2.70
`G_TYPE_FLAG_DEPRECATED` | The type is deprecated and may be removed in a future version. A warning will be emitted if it is instantiated while running with `G_ENABLE_DIAGNOSTIC=1`. Since 2.76